org.springframework.expression.spel.ast

## Class OperatorNot

- java.lang.Object
- - org.springframework.expression.spel.ast.SpelNodeImpl
  - - org.springframework.expression.spel.ast.OperatorNot

- All Implemented Interfaces:
    SpelNode

      public class OperatorNot
      extends SpelNodeImpl

  Represents a NOT operation.
  Since:
    3.0
  Author:
    Andy Clement, Mark Fisher, Oliver Becker

- - ### Field Summary

    - ### Fields inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

      `children, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatorNot(int pos, SpelNodeImpl operand)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanTypedValue` | `getValueInternal(ExpressionState state)`
    `String` | `toStringAST()`

    - ### Methods inherited from class org.springframework.expression.spel.ast.SpelNodeImpl

      `getChild, getChildCount, getEndPosition, getObjectClass, getPreviousChild, getStartPosition, getTypedValue, getValue, getValue, getValueRef, isWritable, nextChildIs, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperatorNot

          public OperatorNot(int pos,
                     SpelNodeImpl operand)

  - ### Method Detail

    - #### getValueInternal

          public BooleanTypedValue getValueInternal(ExpressionState state)
                                             throws EvaluationException

      Specified by:
        `getValueInternal` in class `SpelNodeImpl`
      Throws:
        `EvaluationException`

    - #### toStringAST

          public String toStringAST()

      Specified by:
        `toStringAST` in interface `SpelNode`
      Specified by:
        `toStringAST` in class `SpelNodeImpl`
      Returns:
        the string form of this AST node